using Models;

namespace ShoopNCook.Views;

// Classe reprsentant une entre d'ingrdient
public partial class IngredientEntry : ContentView
{
    public IngredientEntry()
    {
        InitializeComponent();
    }

    // Renvoie une nouvelle instance de Ingredient  partir des informations entres par l'utilisateur
    public Ingredient MakeValue()
    {
        float quantity;

        // Tente de convertir la quantit en float, sinon, attribue une valeur par dfaut de 0
        if (!float.TryParse(QuantityEntry.Text, out quantity))
        {
            quantity = 0;
            // TODO handle quantity text malformation by raising exception 
        }

        return new Ingredient(NameEntry.Text, quantity);
    }
}
